<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


/* Бан пользователя */ 
if (isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'guest' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0')"), 0)!=0)
{
	header('Location: /ban.php?'.SID);
	exit;
}

$post = mysql_fetch_assoc(mysql_query("SELECT * FROM `guest` WHERE `id` = '".intval($_GET['post'])."' limit 1"));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$page = intval($_GET['page']);

if (!$post){ header("Location: index.php"); exit;}

/**
* 
* @var / Просмотр авторов ляпов
* 
*/

if (isset($_GET['act']) && $_GET['act'] == 'glum')
{
	$set['title'] = 'Просмотр поста :: Cписок оставивших ляпы'; // заголовок страницы

	include_once '../sys/inc/thead.php';
	title();
	aut();

	/**
	* 
	* @var / Выводим пост на котором ляпы 
	* 
	*/
	echo '<div class="mess"><br />';
	echo group($ank['id']) . " <a href='/info.php?id=$ank[id]'>$ank[nick]</a>";
	echo medal($ank['id']) . online($ank['id']).' ('.vremja($post['time']).')<br />';
	echo output_text($post['msg']).'<br />';
	echo '</div>';
	
	echo '<div class="foot">';
	echo 'Cписок действий:';
	echo '</div>';
		
	/**
	* 
	* @var / Выводим список юзеров
	* 
	*/
	$l = mysql_query("SELECT * FROM `guest_glum` WHERE `id_post` = '$post[id]'");
	
	while ($glum = mysql_fetch_assoc($l))
	{	
		$ank = get_user($glum['id_user']);

		
		/*-----------зебра-----------*/
		if ($num==0)
		{echo '<div class="nav1">';
		$num=1;
		}elseif ($num==1)
		{echo '<div class="nav2">';
		$num=0;}
		/*---------------------------*/

		echo group($ank['id']) . " <a href='/info.php?id=$ank[id]'>$ank[nick]</a>";
		
		if ($glum['dir'] == 'tomate')
		$msg = ", кинул".($ank['pol'] == 0 ? "а" : "")." [red][b]Помидор[/b][/red]";
		
		elseif ($glum['dir'] == 'kraski')
		$msg = ", заляпал".($ank['pol'] == 0 ? "а" : "")." [red][b]Краской[/b][/red]";
		
		elseif ($glum['dir'] == 'puli')
		$msg = ", пальнул".($ank['pol'] == 0 ? "а" : "")." [blue][b]Из Нагана[/b][/blue]";
		
		elseif ($glum['dir'] == 'pchel')
		$msg = ", посадил".($ank['pol'] == 0 ? "а" : "")." [green][b]Пчелку[/b][/green]";
		
		elseif ($glum['dir'] == 'scelet')
		$msg = ", оставил".($ank['pol'] == 0 ? "а" : "")." [blue][b]Скелет[/b][/blue]";
		
		elseif ($glum['dir'] == 'dino')
		$msg = ", оставил".($ank['pol'] == 0 ? "а" : "")." [green][b]След ДИНОЗАВРА[/b][/green]";
		
		elseif ($glum['dir'] == 'kiss')
		$msg = ", оставил".($ank['pol'] == 0 ? "а" : "")." [red][b]Поцелуйчик[/b][/red]";
		
		elseif ($glum['dir'] == 'serdce')
		$msg = ", оставил".($ank['pol'] == 0 ? "а" : "")." [red][b]Сердечко[/b][/red]";
		
		echo output_text($msg);
		
		echo medal($ank['id']) . online($ank['id']).' ('.vremja($post['time']).')<br />';

		echo '</div>';
	}

}

	

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*"> <a href="index.php">Гостевая</a><br />';
echo '</div>';

include_once '../sys/inc/tfoot.php';
?>